Bug 982787 - broken comment syntax in catalina.sh for tomcat 7
broken comment syntax in catalina.sh for tomcat 7
Status: VERIFIED
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat7 (Show other bugs)
2.1.0
Unspecified Unspecified
high Severity high
: ER04
: 2.1.0
Assigned To: Jean-frederic Clere
Libor Fuka
:
Depends On:
Blocks: 988396
  Show dependency treegraph
 
Reported: 2013-07-09 17:52 EDT by Aaron Ogburn
Modified: 2015-11-01 19:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, starting Tomcat 7 using the <filename>catalina.sh</filename> file resulted in a <literal>command not found</literal> error due to the broken comment syntax in <filename>catalina.sh</filename>. This is now fixed in JBoss Enterprise Server 2.1. Starting Tomcat with <filename>catalina.sh</filename> works as expected.
Story Points: ---
Clone Of:
: 988396 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes typos in tomcat7.conf (1.10 KB, patch)
2013-07-22 13:54 EDT, David Knox
no flags Details | Diff

  None (edit)
Description Aaron Ogburn 2013-07-09 17:52:21 EDT
Description of problem:

It looks like as a result of JBEWS-178, some bad comments were added to EWS 2.0.1/tomcat 7's catalina.sh:

+#JBPAPP-3749/6036/9724
+# Cannot resolve user database reference
+# the real problem is a cnfe that is avoided by configuring
+# the -Djavax.sql.DataSource.Factory. This fixes the rpm install.
+# The zip install is fixed in catalina.sh
+# JAVA_OPTS="${JAVA_OPTS} -Djavax.sql.DataSource.Factory=org.apache.commons.dbcp.BasicDataSourceFactory"
+


Tomcat starts regardless, but we get unneeded complaints commands not found:

$ ./catalina.sh start
./catalina.sh: line 267: +#JBPAPP-3749/6036/9724: No such file or directory
./catalina.sh: line 268: +#: command not found
./catalina.sh: line 269: +#: command not found
./catalina.sh: line 270: +#: command not found
./catalina.sh: line 271: +#: command not found
./catalina.sh: line 272: +#: command not found
./catalina.sh: line 273: +: command not found


Just need to drop the +s from those comment lines



Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1.Run ./catalina.sh start
2.
3.

Actual results:

"command not found" complaints


Expected results:

No such complaints


Additional info:
Comment 3 David Knox 2013-07-22 13:54:03 EDT
Created attachment 776990 [details]
Patch that fixes typos in tomcat7.conf

The problem affects tomcat7 only.
Comment 5 Libor Fuka 2014-06-27 06:37:07 EDT
There is still + in catalina.sh (line nr# 271):
rhel5-i386, rhle5-x86_64 zips - tomcat7/catalina.sh
Comment 6 Libor Fuka 2014-06-27 06:39:09 EDT
please fix it in ER4, if its possible
Comment 7 David Knox 2014-06-30 11:07:28 EDT
regression in 7.0.40-11_patch_03
Comment 8 Libor Fuka 2014-07-17 11:40:50 EDT
VERIFIED on ER4
Comment 9 Mandar Joshi 2014-08-11 09:42:15 EDT
Added Doc Text

Note You need to log in before you can comment on or make changes to this bug.